---
search:
  tags:
    - Third-Party Link
    - POST
seo:
  description: >-
    Creates a new third-party link resource (image,… Reference for the POST
    /api/v1/{team_slug}/{app_slug}/third-party-links endpoint in the Management
    API.
sidebar:
  label: Create a new third-party link
  badge: POST
title: Create a new third-party link
type: openapi-operation
---
Creates a new third-party link resource (image, video, or external link) associated with the specified app

`POST /api/v1/{team_slug}/{app_slug}/third-party-links`

**Request body** (`application/json`, required)

Third-party link payload

- `title` (string, required)
- `type` (string)
- `url` (string)

Request body example:

```json
{
  "title": "string",
  "type": "image",
  "url": "string"
}
```

**Responses**

- `200` — Third-party link created successfully
- `400` — Invalid request (e.g., bad UUID, validation error)
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "created_at": "string",
    "id": "string",
    "title": "string",
    "type": "string",
    "updated_at": "string",
    "url": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
